<?php
session_start();
if (isset($_SESSION['nb_veces'])) {
	$_SESSION['nb_veces'] = $_SESSION['nb_veces']+1;
}
else {
	//inicialización de la session nb_veces
	$_SESSION['nb_veces'] = 0;
	//inicialización de la session login_password
	$_SESSION['login_password']="";
}

?>
<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
    <head>
        <title>Ejercicio login</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    </head>
<body>
<h2>Indique su login y su contraseña</h2>
<form action="verif_login.php" method="POST">
login:<input type="text" name="login" /><br /><br />
contraseña:<input type="text" name="password" /><br /><br />
<input type="submit" name="enviar" value="comprobar"/>
<br /><br />
<?php
if (isset($_GET['message']) && $_GET['message'] =='1') {
	echo "<span style='color:#ff0000'>login incorrecto</span>";
}
?>
<br />
Lo ha intentado <?php echo $_SESSION['nb_veces'];?> veces.
<br />
<?php
if ($_SESSION['login_password'] = "") {?>
El login y contraseña son:<?php echo substr($_SESSION['login_password'],0,strlen($_SESSION['login_password'])-2); //eliminado el ; el último espace?> 
<?php } ?>
</form>
</body>
</html>
